import { SharedProtectionPlanSummary } from './shared-protection-plan-summary';
import { SharedPlanConfigurationProcess } from './shared-plan-configuration-process';
import { SharedPlanMergeProcessView } from './shared-plan-merge-process-view';
export interface SharedProtectionPlanViewProps {
    plan: SharedProtectionPlanSummary;
    configurationProcess?: SharedPlanConfigurationProcess;
    mergeProcess?: SharedPlanMergeProcessView;
}
export declare class SharedProtectionPlanView {
    private readonly props;
    constructor(props: SharedProtectionPlanViewProps);
    get plan(): SharedProtectionPlanSummary;
    get configurationProcess(): SharedPlanConfigurationProcess | undefined;
    get mergeProcess(): SharedPlanMergeProcessView | undefined;
    get isConfigured(): boolean;
    get isMerging(): boolean;
}
